<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.prolog.upcloud</groupId>
    <artifactId>upcloud-base-wh-outbound</artifactId>
    <version>1.0.0.QINGNIU-SNAPSHOT</version>

    <packaging>pom</packaging>

    <modules>
        <module>upcloud-base-wh-outbound-service</module>
        <module>upcloud-base-wh-outbound-facade</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <mapstruct.version>1.4.1.Final</mapstruct.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.prolog.framework</groupId>
                <artifactId>plg-fx-parent</artifactId>
                <version>2.1.0.release</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>outbound-facade</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>upcloud-base-inventory-facade</artifactId>
                <version>${project.version}</version>
                <!--                <version>${project.version}</version>-->
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>upcloud-base-wh-operate-facade</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.framework</groupId>
                <artifactId>plg-bz-starter</artifactId>
                <version>1.0.0.beta</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>strategy-domain</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>strategy-facade</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.cs.platform.power</groupId>
                <artifactId>plg-platform-power-facade</artifactId>
                <version>1.0.0.beta</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>base-chain-facade</artifactId>
                <version>1.0.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>base-wh-control-facade</artifactId>
                <version>3.0.1-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>1.18.16</version>
            </dependency>
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <url>http://192.168.0.167:8081/repository/releases/</url>
        </repository>
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://192.168.0.167:8081/repository/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>


</project>